/*   
     	system:        	CalSAWS Conversion
     	procedure:     	RecoveryAccountProviders.tab
     	written by:    	Craig Deane
     	date written:  	June 2021
     	database:      	welcoll
     	function:      	creates the RecoveryAccountProviders table
     	modified by:   
     	changes:       
 */

use welcoll
go
 

IF OBJECT_ID('dbo.RecoveryAccountProviders') IS NOT NULL
              BEGIN
                     DROP TABLE dbo.RecoveryAccountProviders
              END
Go

CREATE TABLE dbo.RecoveryAccountProviders
       (LegacyAccountNumberIdentifier	char(11),
	OrganizationID			char(9),
	OrganizationName		varchar(40),
	TaxTypeCode			char(2),
	TaxIDType 			char(2),
	TaxID				char(9),
	PhysicalAddressLine1Address	varchar(50),
	PhysicalAddressLine2Address	varchar(50),
	PhysicalAddressCityName		varchar(50),	
	PhysicalAddressStateCode	char(2),
	PhysicalAddressZipCode		char(10),
	MailingAddressLine1Address	varchar(50),
	MailingAddressLine2Address	varchar(50),
	MailingAddressCityName		varchar(50),
	MailingAddressStateCode		char(2),
	MailingAddressZipCode		char(10),
	PhoneNumberAreaCode		char(3),
	PhoneNumber			char(7),
	PhoneExtensionNumber		char(4)
 )
go

grant select, insert, update, delete on RecoveryAccountProviders to public
go






